gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r8534 - gnunet/src/arm


From: gnunet
Subject: [GNUnet-SVN] r8534 - gnunet/src/arm
Date: Wed, 10 Jun 2009 08:32:30 -0600

Author: grothoff
Date: 2009-06-10 08:32:30 -0600 (Wed, 10 Jun 2009)
New Revision: 8534

Modified:
   gnunet/src/arm/test_gnunet_arm.sh
Log:
improving script

Modified: gnunet/src/arm/test_gnunet_arm.sh
===================================================================
--- gnunet/src/arm/test_gnunet_arm.sh   2009-06-10 14:19:23 UTC (rev 8533)
+++ gnunet/src/arm/test_gnunet_arm.sh   2009-06-10 14:32:30 UTC (rev 8534)
@@ -3,6 +3,7 @@
 rm -rf /tmp/test-gnunetd-arm/
 exe="./gnunet-arm -c test_arm_api_data.conf"
 base=/tmp/gnunet-test-arm
+out=/tmp/test-gnunetd-arm.log
 #DEBUG="-L DEBUG"
 
 # 
----------------------------------------------------------------------------------
@@ -17,31 +18,39 @@
 # 
----------------------------------------------------------------------------------
 echo -n "TEST: Start ARM... "
 
-if ! $exe $DEBUG -s > /dev/null ; then
+if ! $exe $DEBUG -s > $out ; then
   echo "FAIL: error running $exe"
+  echo "Command output was:"
+  cat $out
   exit 1
 fi
 LINES=`ps ax | grep gnunet-service-arm | grep -v grep | wc -l`
 if test $LINES -eq 0; then
-    echo "FAIL: found $LINES gnunet-service-arm processes"
-    exit 1
+  echo "FAIL: found $LINES gnunet-service-arm processes"
+  echo "Command output was:"
+  cat $out
+  exit 1
 fi
 echo "PASS"
 
 # 
----------------------------------------------------------------------------------
 echo -n "TEST: Start another service... "
 
-if ! $exe $DEBUG -i resolver > /dev/null ; then
+if ! $exe $DEBUG -i resolver > $out ; then
   echo "FAIL: error running $exe"
+  echo "Command output was:"
+  cat $out
   kill %%
   exit 1
 fi
 sleep 1
 LINES=`ps ax | grep gnunet-service-resolver | grep -v grep | wc -l`
 if test $LINES -ne 1; then
-    echo "FAIL: unexpected output (got $LINES lines, wanted 1)"
-    $exe -e
-    exit 1
+  echo "FAIL: unexpected output (got $LINES lines, wanted 1)"
+  echo "Command output was:"
+  cat $out
+  $exe -e > /dev/null
+  exit 1
 fi
 echo "PASS"
 
@@ -54,32 +63,36 @@
 fi
 LINES=`cat $base.out | grep resolver | grep not | wc -l`
 if test $LINES -ne 0; then
-    echo "FAIL: unexpected output"
-    $exe -e
-    exit 1
+  echo "FAIL: unexpected output:"
+  cat $base.out
+  $exe -e
+  exit 1
 fi
 LINES=`cat $base.out | grep resolver | grep -v not | wc -l`
 if test $LINES -ne 1; then
-    echo "FAIL: unexpected output"
-    $exe -e
-    exit 1
+  echo "FAIL: unexpected output"
+  cat $base.out
+  $exe -e
+  exit 1
 fi
 echo "PASS"
 
 # 
----------------------------------------------------------------------------------
 echo -n "TEST: Stop a service... "
 
-if ! $exe $DEBUG -k resolver > /dev/null; then
-    echo "FAIL: error running $exe"
-    $exe -e
-    exit 1
+if ! $exe $DEBUG -k resolver > $out; then
+  echo "FAIL: error running $exe"
+  $exe -e
+  exit 1
 fi
 sleep 1
 LINES=`ps ax | grep gnunet-service-resolver | grep -v grep | wc -l`
 if test $LINES -ne 0; then
-    echo "FAIL: unexpected output"
-    $exe -e
-    exit 1
+  echo "FAIL: unexpected output"
+  echo "Command output was:"
+  cat $out
+  $exe -e > /dev/null
+  exit 1
 fi
 echo "PASS"
 
@@ -87,31 +100,37 @@
 echo -n "TEST: Test -t on stopped service... "
 
 if ! $exe $DEBUG -t resolver > $base.out; then
-    echo "FAIL: error running $exe"
-    $exe -e
-    exit 1
+  echo "FAIL: error running $exe"
+  cat $base.out
+  $exe -e > /dev/null
+  exit 1
 fi
 LINES=`cat $base.out | grep resolver | grep not | wc -l`
 if test $LINES -ne 1; then
-    echo "FAIL: unexpected output"
-    $exe -e
-    exit 1
+  echo "FAIL: unexpected output"
+  cat $base.out 
+  $exe -e > /dev/null
+  exit 1
 fi
 echo "PASS"
 
 # 
----------------------------------------------------------------------------------
 echo -n "TEST: Stop ARM... "
 
-if ! $exe $DEBUG -e > /dev/null; then
-    echo "FAIL: error running $exe"
-    exit 1
+if ! $exe $DEBUG -e > $out; then
+  echo "FAIL: error running $exe"
+  exit 1
 fi
+sleep 1
 LINES=`ps ax | grep gnunet-service-arm | grep -v grep | wc -l`
 if test $LINES -ne 0; then
-    echo "FAIL: unexpected output"
-    exit 1
+  echo "FAIL: unexpected output, still have $LINES gnunet-service-arm 
processes"
+  echo "Command output was:"
+  cat $out  
+  exit 1
 fi
 echo "PASS"
 
 rm -rf /tmp/test-gnunetd-arm/
-rm -f $base.out
+rm -f $base.out $out
+





reply via email to

[Prev in Thread] Current Thread [Next in Thread]